makedocs.rb

Path: | docs/makedocs.rb
Modified: | Wed Sep 03 07:28:41 GMT 2003

RDoc Documentation Generation Script $Id: makedocs.rb,v 1.2 2003/09/03 05:33:22 deveiant Exp $

Copyright © 2001-2003 The FaerieMUD Consortium.

This is free software. You may use, modify, and/or redistribute this software under the terms of the Perl Artistic License. (See language.perl.com/misc/Artistic.html)

Required files

getoptlong rdoc/rdoc utils

Methods

buildDocs buildRi makeDocs uploadDocs

Included modules

UtilityFunctions

Public Instance methods

makeDocs( docsdir, template='css2', diagrams=false, upload=nil, ridocs=false )

buildDocs( flags, docs )

uploadDocs( url, docsdir )

buildRi( docs )